docker-compose.yml

Clone Tools
  • last updated a few seconds ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
OLMIS-5467: Added executing wait-for-postgres.sh and run.sh and dependency on db

  1. … 2 more files in changeset.
Revert "OLMIS-5467: Added script for waiting for Postgres and dependency on db"

This reverts commit e6f6344068716ed34e85d7fc1236c73046b37db7.

OLMIS-5467: Added script for waiting for Postgres and dependency on db

I'm not sure if I understand. Do you mean openlmis-demo-data? I don't see the compose file there... only Dockerfile and I've updated it based on openlmis-demo-data Dockerfile.

I'm not sure if I understand. Do you mean openlmis-demo-data? I don't see the compose file there... only Dockerfile and I've updated it based on openlmis-demo-data Dockerfile.

Thanks for moving the script, but it also needs to be executed, to actually impact anything. See how openlmis-demo uses it in the compose file.

Thanks for moving the script, but it also needs to be executed, to actually impact anything. See how openlmis-demo uses it in the compose file.

This should not be changed.

This should not be changed.

OLMIS-5467: Added script to wait for postgres
OLMIS-5467: Added script to wait for postgres
OLMIS-5492, add Debezium for CDC of Programs.

This is a simple proof of concept, hence why we stream Programs.

  1. … 5 more files in changeset.
Added HAPI FHIR service to ref-distro

  1. … 1 more file in changeset.
Using Spring's built-in Redis caching could be cool. Worth researching further and potentially replacing when we start using Redis more.

Using Spring's built-in Redis caching could be cool. Worth researching further and potentially replacing when we start using Redis more.

I know this is a late answer~ Actually I tried starting with Spring Data Redis. 2.x couldn't be used due to lack of compatibility with Spring Boot 1.X however and I had some problem that I no longe...

I know this is a late answer~
Actually I tried starting with Spring Data Redis. 2.x couldn't be used due to lack of compatibility with Spring Boot 1.X however and I had some problem that I no longer remember with latest 1.x of Spring Data Redis...

Or using caching with Redis as the backing store? https://docs.spring.io/spring-boot/docs/current/reference/html/boot-features-caching.html#boot-features-caching-provider-redis
I'm curious what is the difference between this setup and Spring Data Redis? https://projects.spring.io/spring-data-redis/

I'm curious what is the difference between this setup and Spring Data Redis? https://projects.spring.io/spring-data-redis/

We may want to update Requisition to the same version if there are no errors.

We may want to update Requisition to the same version if there are no errors.

I am not sure if it is okay to use 1.5.14 version if other spring components are in version 1.4.1 (line 6)

I am not sure if it is okay to use 1.5.14 version if other spring components are in version 1.4.1 (line 6)

maybe move this to application.properties so you could change it in test to some smaller value?

maybe move this to application.properties so you could change it in test to some smaller value?

We may eventually want to wrap this into our own image (like with postgres)

We may eventually want to wrap this into our own image (like with postgres)

No idea how to test expiration yet.

No idea how to test expiration yet.

OLMIS-4935 Add Redis server and connector in requisition service
OLMIS-4935 Add Redis server and connector in requisition service
OLMIS-4935 Add Redis server docker image

Update RefDistro to use CCE version

For some reason it was hardcoded to 1.0.0-SNAPSHOT in the config.

OLMIS-2923: Update demo data loading of few services
OLMIS-2923: Update demo data loading of few services
OLMIS-2923: Update demo data loading of few services

  1. … 1 more file in changeset.